WebGUI: IPSec gives me an error



  • This is what I'm getting on the current 2.5 Snapshot:

    Crash report begins. Anonymous machine information:

    amd64
    12.0-RELEASE-p10
    FreeBSD 12.0-RELEASE-p10 fe839027797(RELENG_2_5) pfSense

    Crash report details:

    PHP Errors:
    [01-Jan-2020 02:40:41 America/Los_Angeles] PHP Parse error: syntax error, unexpected 'escapeshellarg' (T_STRING), expecting ')' in /usr/local/www/vpn_ipsec.php on line 201

    This is upgraded from basic 2.4.4 install (VM) and then upgraded to 2.5 which gave me this error. So tried doing a configuration restore from production in 2.4.4 and then upgrade to 2.5 which gave me the same error. No issues in the IPSec Status in WebGUI.



  • I'm running 2.5 since a while without issues, since the last update I get the same error message.

    Cheers,
    luphi


  • Rebel Alliance Developer Netgate

    Should be fixed in the next snapshot run:

    https://github.com/pfsense/pfsense/commit/13f9b0d2215894f19ebe8f60e53a51525852df22

    You could apply that patch or make the edit by hand in the meantime.



  • Thank you jimp for the quick response.
    The patch fixes the IPSec configuration page, but the tunnels are still not coming up.
    /var/log/ipsec.log shows the same 4 lines every couple of seconds:

    Jan  2 15:42:09 eagle2 charon[18341]: 12[CFG] vici client 41 connected
    Jan  2 15:42:09 eagle2 charon[18341]: 14[CFG] vici client 41 registered for: list-sa
    Jan  2 15:42:09 eagle2 charon[18341]: 12[CFG] vici client 41 requests: list-sas
    Jan  2 15:42:09 eagle2 charon[18341]: 09[CFG] vici client 41 disconnected
    
    

    Cheers,
    luphi


  • Rebel Alliance Developer Netgate

    That would not be related to the error then. Start a fresh thread with more details about your configuration.



  • The latest snapshot has resolved the issue. Great work! 👍


Log in to reply